# 80×86 Architecture: Netware NLM

Assembler code

```
.bss:000000CA
.bss:000000CA loc_CA:                                 ; CODE XREF: nlm_start+33↑j
.bss:000000CA                                         ; nlm_start+A1↑j ...
.bss:000000CA                 mov     dword_E150, edi
.bss:000000D0                 push    54524C41h
.bss:000000D5                 push    offset aAllocMemory ; "Alloc Memory"
.bss:000000DA                 push    edi
.bss:000000DB                 call    AllocateResourceTag
.bss:000000E0                 mov     dword_E018, eax
.bss:000000E5                 push    544D4E43h
.bss:000000EA                 push    offset aNonMovableMemo ; "Non Movable Memory"
.bss:000000EF                 push    edi
.bss:000000F0                 call    AllocateResourceTag
.bss:000000F5                 mov     dword_E020, eax
.bss:000000FA                 push    53435250h
.bss:000000FF                 push    offset aProcesses ; "Processes"
.bss:00000104                 push    edi
.bss:00000105                 call    AllocateResourceTag
.bss:0000010A                 mov     dword_E15C, eax
.bss:0000010F                 push    4C4B5344h
.bss:00000114                 push    offset aDiskLocks ; "Disk Locks"
.bss:00000119                 push    edi
.bss:0000011A                 call    AllocateResourceTag
.bss:0000011F                 mov     dword_E01C, eax
.bss:00000124                 push    4E524353h
.bss:00000129                 push    offset aScreens ; "Screens"
.bss:0000012E                 push    edi
.bss:0000012F                 call    AllocateResourceTag
.bss:00000134                 add     esp, 3Ch
.bss:00000137                 mov     dword_E158, eax
.bss:0000013C                 push    504D4553h
.bss:00000141                 push    offset aSemaphores ; "Semaphores"
.bss:00000146                 push    edi
.bss:00000147                 call    AllocateResourceTag
.bss:0000014C                 mov     dword_E160, eax
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/80-86-architecture-netware-nlm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
